import React, { BaseSyntheticEvent } from 'react'
import { SliderProps } from './Slider.types';
import './Style.css';

const Slider = ({ label, valueAsString, value, maxValue, minValue, changeValue }: SliderProps) => {
    return (
        <div className="slidecontainer">
            <p style={{width: '100%', textAlign:'center', color: 'gray'}}>{label}{valueAsString}</p>

            <input
                onInput={(e: BaseSyntheticEvent) => {
                    const v = parseInt(e.target.valueAsNumber);
                    changeValue(v)
                }}
                type="range" min={minValue} max={maxValue} value={value} className="slider" id="myRange" />

        </div>
    )
}

export default Slider