import React, { useState } from 'react'
import SlidingDateSelector, { Mode } from './SlidingDateSelector'

const SlidingDateComponent = ({ maxYear, minYear, initYear}: any) => {
    const [selectedMode, selectMode] = useState<Mode>(Mode.DAY);
    const [selectedYear, selectYear] = useState(initYear);
    const [selectedMonth, selectMonth] = useState(1);
    const [selectedDay, selectDay] = useState(1);

    return (
        <>
            <SlidingDateSelector
                selectedDay={selectedDay}
                selectedMonth={selectedMonth}
                selectedYear={selectedYear}
                setDay={selectDay}
                setMonth={selectMonth}
                setYear={selectYear}
                setMode={selectMode}
                mode={selectedMode}
                minYear={minYear}
                maxYear={maxYear}
            />
        </>
    )
}

export default SlidingDateComponent;